#include "smitten.hpp"
#include "SmittenUI.hpp"
#include "menutypes.hpp"
#include <sstream>


bool MediaImageFileItem::onSelect(MenuList *pMenuList) {
	std::vector<MenuItem *>::iterator it = pMenuList->m_List.begin();
	int idx = 0;
	for(;it != pMenuList->m_List.end();++it,++idx) {
		if ((*it) == this) {
			SmittenUI::get()->startSlideshow(pMenuList, idx, false);
			break;
		}
	}
	
	return false;
}

MediaImageFileItem::~MediaImageFileItem() {
}

int MediaImageFileItem::getIconType() {
	return SmittenSkin::UI_ICON_IMAGE;
}

void MediaImageFileItem::getPreviewText(std::string &text) {
	std::ostringstream o;
	o << "Picture\n";
	getSizeString(o);
	text = o.str();
}
