#ifndef SMITTEN_FONT_H
#define SMITTEN_FONT_H 1

#define MAX_GLYPHS	256

class SmittenFont {
public:
	SmittenFont(const std::string& filename, const std::string& glyphs);
	int getWidth(const unsigned char c) const;
	int getWidth(const std::string &str) const;
	int getHeight() const;
	int drawString(const std::string &str, int x, int y) const;
protected:
	SmittenImage *m_pFontImage;
	int m_RowSpacing;
	int m_GlyphSpacing;
	int m_FontHeight;
	int m_pGlyphOffsets[MAX_GLYPHS][2];

};

#endif
