#ifndef SMITTEN_LCARS_SKIN_HPP
#define SMITTEN_LCARS_SKIN_HPP	1

class MenuHandler;

class LCARSskin : public SmittenSkin {
public:
	LCARSskin(const std::string &visualizer);
	std::string &LCARSskin::getSkinName();

	virtual bool update(float t);

	virtual void drawStatic(MenuHandler *pMenu);
	virtual void drawCentreSelection(MenuHandler *pMenu);
	virtual void drawPreview(MenuHandler *pMenu);
	virtual void drawStatusInformation(MenuHandler *pMenu);
	virtual void drawDirectoryPath(MenuHandler *pMenu);
	virtual void drawTextFile(sgxTextFile *pText, int line, int horiz, int x, int y);
	virtual void drawAlways(MenuHandler *pMenu);
	virtual void drawMenuItem(MenuItem *pItem, int x, int y);

protected:
	int m_PreviewTextX;
	int m_ClockX;
	int lastMinuteRendered;
};

#endif
