#ifndef FS_PROCESS_HPP
#define FS_PROCESS_HPP

class fsEntry {
public:
	std::string filename;
	bool		isDirectory;
	long		filesize;

	fsEntry(const char * f) { filename=f; isDirectory=true; filesize=0; }
	fsEntry(const char * f, long sz) { filename=f; isDirectory=false; filesize=sz; }
};

class fsProcess {
public:
	static bool getDirectory(std::vector<fsEntry *> &list, const std::string &pDirectory);
protected:
	static bool getCachedDirectory(std::vector<fsEntry *> &list, const std::string &directory);
};


#endif
