#ifndef MEDIA_HANDLER_HPP
#define MEDIA_HANDLER_HPP 1


class MediaHandler {
public:
	MediaHandler();
	
	bool start(int filterType, const std::vector<std::string> &filelist);
	bool start(int type, const std::string &filename);
	bool pause();
	bool stop();
	bool isPlaying() const;
	const std::string &getCurrentMediaName() const;
	const std::string &getCurrentMediaPath() const;
	bool isMovie() const;
	bool isMusic() const;
	bool wereMultipleTracksPlaying() const;

	void update(float t);

protected:
	int				m_MediaType;
	std::string		m_Current;
	std::string		m_CurrentName;
	mutable ProcessHandle	m_ProcessId;
	bool			m_bPlayingMultipleTracks;
};

#endif
