#include <windows.h>
#include <string>
#include "sgxSystem.hpp"

void sgxGetWorkingRoot(std::string &root) {
	char szDirectory[MAX_PATH];

	if(::GetCurrentDirectoryA(sizeof(szDirectory) - 1, szDirectory)) {
		root = std::string(szDirectory);
		root += "/";
	} else {
		root = "";
	}
}

void sgxSystemWait(std::string cmd) {
	WinExec(cmd.c_str(), SW_SHOWMINIMIZED);
}

ProcessHandle sgxSystem(std::string cmd) {
PROCESS_INFORMATION pi;
STARTUPINFOA si;

	ZeroMemory(&si,sizeof(STARTUPINFOA));
	si.cb = sizeof(STARTUPINFOA);
	si.dwFlags = STARTF_USESTDHANDLES | STARTF_USESHOWWINDOW;
	si.wShowWindow = SW_HIDE;

	if (!CreateProcessA(NULL, (char *)cmd.c_str(),NULL,NULL,TRUE,
		 CREATE_NEW_CONSOLE,NULL,NULL,&si,&pi)) {
		return 0;
	}

	if (sgxIsProcessRunning((ProcessHandle)pi.hProcess)) {
	printf("wp");
	}

	return (ProcessHandle)pi.hProcess;
}

void	sgxExitProcess(ProcessHandle handle) {
	TerminateProcess((HANDLE)handle, 0);
}

bool	sgxIsProcessRunning(ProcessHandle handle) {
	DWORD a;
	if (0 == GetExitCodeProcess((HANDLE)handle, &a)) {
		return false;
	}
	return a == STILL_ACTIVE;
}

void sgxGetTime(int &hr, int &min, int &secs) {
	SYSTEMTIME systime;
	GetSystemTime(&systime);

	hr = systime.wHour;
	min = systime.wMinute;
	secs = systime.wSecond;
}
