#ifndef SGX_TEXTFILE
#define SGX_TEXTFILE

#include <fstream>
#include <iostream>
#include <string>
#include <vector>

class sgxTextFile {
public:
	sgxTextFile(const std::string &filename) {
	
		std::ifstream infile(filename.c_str());

		std::string line;

	   while (getline(infile, line)) {
		  m_TextLines.push_back(line);
	   }

		infile.close();
	}

	const std::string &getLine(unsigned int i) {
		if (i >= m_TextLines.size()) {
			static std::string empty("");
			return empty;
		}
		return m_TextLines[i];
	}

	int getLineCount() {
		return m_TextLines.size();
	}

protected:
	std::vector<std::string> m_TextLines;
};

#endif 
